NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Tooling.SlugRetentionBuilder Class Reference

Represents a NXOpen.Tooling.SlugRetentionBuilder which is used to create the Slug Retention. More...

Inheritance diagram for NXOpen.Tooling.SlugRetentionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types { TypeFirst, TypeSecond }
 the main type More...
 

Properties

unsafe NXOpen.Expression AngularDimension [get]
 Returns the angular dimension More...
 
unsafe NXOpen.Expression CuttingClearance [get]
 Returns the cutting clearance More...
 
unsafe NXOpen.Expression CuttingDistance [get]
 Returns the cutting distance More...
 
unsafe NXOpen.Direction OffsetDirection [get, set]
 Returns or sets the offset direction More...
 
unsafe double OffsetDistance [get, set]
 Returns or sets the offset distance More...
 
unsafe NXOpen.Part PreviousWorkPart [get, set]
 Returns or sets the previous work part More...
 
unsafe NXOpen.Expression RadiusDimension [get]
 Returns the radius dimension More...
 
unsafe NXOpen.Direction RotateDirection [get, set]
 Returns or sets the rotate direction More...
 
unsafe
NXOpen.Assemblies.SelectComponent 
SelectComponent [get]
 Returns the select component More...
 
unsafe string SelectDataFile [get, set]
 Returns or sets the select data file More...
 
unsafe NXOpen.Point SelectPoint [get, set]
 Returns or sets the select point More...
 
unsafe NXOpen.Edge SlugEdgeForTypeTwo [get, set]
 Returns or sets the slug edge for type two More...
 
unsafe
NXOpen.GeometricUtilities.BooleanOperation 
SlugRetentionBooleanData [get]
 Returns the slug retention boolean data More...
 
unsafe NXOpen.SelectEdge SlugRetentionEdge [get]
 Returns the slug retention edge More...
 
unsafe NXOpen.Features.Feature SlugRetentionFeature [get, set]
 Returns or sets the slug retention feature More...
 
unsafe NXOpen.Body TargetBodyForSubtract [get, set]
 Returns or sets the target body for subtract More...
 
unsafe
NXOpen.Tooling.SlugRetentionBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.SlugRetentionBuilder which is used to create the Slug Retention.

To create a new instance of this class, use NXOpen.Tooling.ProgressiveDieManager.CreateSlugRetentionBuilder

Default values.

Property Value

AngularDimension.Value

5

CuttingClearance.Value

2 (millimeters part), 0.05 (inches part)

CuttingDistance.Value

10 (millimeters part), 0.25 (inches part)

OffsetDistance

5

RadiusDimension.Value

7 (millimeters part), 0.25 (inches part)

Created in NX10.0.0

Member Enumeration Documentation

the main type

Enumerator
TypeFirst 
TypeSecond 

Property Documentation

unsafe NXOpen.Expression NXOpen.Tooling.SlugRetentionBuilder.AngularDimension
get

Returns the angular dimension

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SlugRetentionBuilder.CuttingClearance
get

Returns the cutting clearance

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SlugRetentionBuilder.CuttingDistance
get

Returns the cutting distance

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.SlugRetentionBuilder.OffsetDirection
getset

Returns or sets the offset direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.SlugRetentionBuilder.OffsetDistance
getset

Returns or sets the offset distance

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Part NXOpen.Tooling.SlugRetentionBuilder.PreviousWorkPart
getset

Returns or sets the previous work part

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.SlugRetentionBuilder.RadiusDimension
get

Returns the radius dimension

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.SlugRetentionBuilder.RotateDirection
getset

Returns or sets the rotate direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Assemblies.SelectComponent NXOpen.Tooling.SlugRetentionBuilder.SelectComponent
get

Returns the select component

Created in NX10.0.0

License requirements: None.

unsafe string NXOpen.Tooling.SlugRetentionBuilder.SelectDataFile
getset

Returns or sets the select data file

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point NXOpen.Tooling.SlugRetentionBuilder.SelectPoint
getset

Returns or sets the select point

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Edge NXOpen.Tooling.SlugRetentionBuilder.SlugEdgeForTypeTwo
getset

Returns or sets the slug edge for type two

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.GeometricUtilities.BooleanOperation NXOpen.Tooling.SlugRetentionBuilder.SlugRetentionBooleanData
get

Returns the slug retention boolean data

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.SelectEdge NXOpen.Tooling.SlugRetentionBuilder.SlugRetentionEdge
get

Returns the slug retention edge

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Features.Feature NXOpen.Tooling.SlugRetentionBuilder.SlugRetentionFeature
getset

Returns or sets the slug retention feature

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Body NXOpen.Tooling.SlugRetentionBuilder.TargetBodyForSubtract
getset

Returns or sets the target body for subtract

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.SlugRetentionBuilder.Types NXOpen.Tooling.SlugRetentionBuilder.Type
getset

Returns or sets the type

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.